import { ref } from 'vue';

const newImage = ref<Array<{ id: number; lastModified: Date }>>([]);

export function getNewImage(id: number) {
  const image = newImage.value.find((a) => a.id === id);
  if (image) {
    return image;
  }
  return null;
}

export function setNewImage(id: number) {
  const image = newImage.value.find((a) => a.id === id);
  if (image) {
    image.lastModified = new Date()
  } else {
    newImage.value.push({id, lastModified: new Date()})
  }
}
